@import "mixins";

.gallery {
  @include flex($dir: column);
  background-color: #192a5c;
  color: #ffffff;

  &--comment {
    background: rgba(0, 0, 0, 0.7) url("./img/gallery4.jpg") center;
    background-blend-mode: color;
    height: 100vh;
    min-height: 700px;
  }

  &__title {
    text-transform: uppercase;
    font-style: italic;
    font-weight: 700;
    margin: 20px 0;
    text-align: center;
  }

  &__slideshow {
    max-width: 1000px;
    position: relative;
    margin: auto;
  }

  &__img {
    width: 100%;
  }

  &__slide {
    display: none;
    text-align: center;

    &--active {
      @include flex($dir: column);
    }
  }

  &__text {
    text-align: center;
    width: 70%;
    margin: 20px 0;
  }

  &__author {
    margin-top: 30px;
    font-weight: 700;
  }

  &__link{
    text-decoration: underline;
    &--bold{
      font-weight: 700;
    }
  }

  %button {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
    @include respond(laptop) {
      &:hover {
        background-color: rgba(0, 0, 0, 0.8);
      }
    }
  }

  &__prev {
    @extend %button;
  }

  &__next {
    @extend %button;
    right: 0;
    border-radius: 3px 0 0 3px;
  }

  &__dots {

  }

  &__dot {
    cursor: pointer;
    height: 10px;
    width: 10px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;

    &:hover, &--active {
      background-color: #717171;
    }
  }

  .gallery__fade {
    animation-name: fade;
    animation-duration: 1.5s;
  }
}

@keyframes fade {
  from {
    opacity: .4
  }
  to {
    opacity: 1
  }
}